Bug 203985 - xorg-x11-drv-fbdev hangs the system when used with rotated vesafb
xorg-x11-drv-fbdev hangs the system when used with rotated vesafb
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 16:13 EDT by Bill Nottingham
Modified: 2014-03-16 23:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-08-24 16:13:03 EDT
The software:

kernel-2.6.17-1.2583.fc6
xorg-x11-drv-fbdev-0.3.0-1.1

The hardware:
Broadwater x86_64 box

Standard minimal X config, with driver 'fbdev'.

How to reproduce:

1. Boot with "vga=794 single"
2. At single user mode, enter "echo -n '3' > /sys/class/graphics/fbcon/rotate"
3. Exit single user mode. Wait for X to start

What happens:

System hangs. Can't ssh in, etc. sysrq works, but doesn't go to the logs.

Additional info:

Booting with "vga=794 fbcon=rotate:3" works.
Doing "echo -n "3" > /sys/class/graphics/fbcon/rotate_all" from runlevel 3 then
starting X works.
Comment 1 Adam Jackson 2006-08-25 14:17:38 EDT
# mount -o remount,sync /

and then try to start X with the crashy command sequence above.  That should at
least tell us where in the startup process X hangs.
Comment 2 Bill Nottingham 2006-09-01 14:08:50 EDT
When remounted in sync mode, there is no xorg.log written.
Comment 3 David Lawrence 2006-09-05 11:19:06 EDT
Reassigning to correct owner, kernel-maint.
Comment 4 Bug Zapper 2008-04-03 14:02:10 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:46:25 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.